#!/bin/sh
. `dirname $0`/../func.sh

init_dev
[ $? -ne 0 ] && exit 1

guess_param

echo 0 > /sys/class/graphics/fbcon/cursor_blink

GRAB_RES="800x480"
FRAME_SIZE=",width=800,height=480"
OFFSET_SENSOR="(240,164)"

echo "starting gstreamer with $CAM_BW_FMT Source ..."
echo "read $FRAME_SIZE (ROI in center of pic) and write to framebuffer $GRAB_RES"
echo "=========================================================================="
echo ""
echo "configure CSI camnera port with media_control"
echo "============================================="

media-ctl -r
media-ctl -l ''$CAM_ENTITY_NUMBER'0->"csi":0[1]'
media-ctl -l "'csi':1->'csi capture':0[1]"
#           Camera -> CSI -> CSI capture (/dev/videoX)

media-ctl -V ''$CAM_ENTITY_NUMBER'0 [fmt:'$CAM_BW_FMT'/'$GRAB_RES' '$OFFSET_SENSOR'/'$GRAB_RES']'
media-ctl -V '"csi":1 [fmt:'$CAM_BW_FMT'/'$GRAB_RES']'


echo ""
echo " configure camera with v4l2_control"
echo " =================================="

v4l2-ctl -d $CAM_SUB_DEVICE -c auto_exposure_max=480

echo ""
echo "start gstreamer, break with ctl-C"
echo "================================="

gst-launch-1.0 \
	v4l2src device=$CAM_DEVICE ! \
	video/x-raw,format=GRAY8,depth=8$FRAME_SIZE ! \
	videoconvert ! \
	fbdevsink sync=true


v4l2-ctl -d $CAM_SUB_DEVICE -c auto_exposure_max=800

echo 1 > /sys/class/graphics/fbcon/cursor_blink