#!/bin/sh
. `dirname $0`/../func.sh

init_dev
[ $? -ne 0 ] && exit 1

guess_param

echo 0 > /sys/class/graphics/fbcon/cursor_blink

echo "starting gstreamer with $COL_FORMAT Source ..."
echo "read 1280x1024 and write to file mt9m131_yuv.raw"
echo "================================================"

echo ""
echo " configure camera with v4l2_control"
echo " =================================="

$V4L2_CTRL_CAM0
# ./../tools/cam_regs.sh -s subdev1 -r ./../$REG_SET_FILE
# Use the "cam_regs.sh" tool, only for special register settings, that are not available through v4l2_control.

echo ""
echo "start gstreamer"
echo "==============="

gst-launch-1.0 \
	v4l2src num-buffers=$NUMBER_OF_PIC device=$CAM_DEVICE ! \
	video/x-raw,format=YUY2,width=1280,height=1024 ! \
	multifilesink location=mt9m131_yuv.raw

echo "File \"mt9m131_yuv.raw\" (format=yuv[4:2:2] YUYV, 1280x1024 Pixel)"
